> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/kommunikationsmodul/ticket-bearbeiten.md).

# Ticket bearbeiten

<details>

<summary>Hinweise zur Funktion</summary>

Das Kommunikationsmodul sollte Anwendung finden, wenn Sie über eine API ein neues Objekt erstellen und erwartet wird, dass dieses Objekt in WOWIPORT weiterverarbeitet wird. Beispiele hierfür wären:

* Ein vorgeschlagener Vertragsnehmer wird erstellt.
* Eine Rechnung wird übergeben.
* Ein Auftrag wurde erstellt.

"AssignmentEntityId" verweist auf die Entitäts-ID aus dem entsprechenden Katalog. Die ID des Objektes wird im Schlüssel "EntityId" angegeben.\
\
Daten zu den Abteilungen können in den Objektdaten abgerufen werden.\
<https://docs.openwowi.de/schnittstelle-v1.x/objektdaten/abteilung>

</details>

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Ticket anlegen

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommunicationEdit/Ticket" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Kommentar hinzufügen

{% hint style="danger" %}
Dieser Endpunkt wird zukünftig zugunsten der Konversationen abgekündigt. Der Endpunkt ist mit den Tickets weiterhin kompatibel, allerdings fehlen wesentliche Daten für die Konversationen.
{% endhint %}

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommunicationEdit/Ticket/AddComment" method="post" expanded="false" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Konversationen hinzufügen

<details>

<summary>Hinweise zur Funktion</summary>

Sie können in den Konversationen andere Ticketquellen verwenden, wenn diese Ihrem API Key zugeordnet sind.

Die "Location" kann nur in der Nachrichtenquelle "Gesprächsnotiz" verwendet werden.

</details>

#### Version 1.2

***

## POST /openwowi/v1.2/CommunicationEdit/Ticket/AddConversation

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketAddConversationDto":{"type":"object","properties":{"TicketId":{"type":"integer","format":"int32"},"TicketSourceId":{"type":"integer","format":"int32"},"PersonId":{"type":"integer","format":"int32","nullable":true},"UserId":{"type":"integer","format":"int32","nullable":true},"CreatedAt":{"type":"string","format":"date-time"},"Location":{"type":"string","nullable":true},"Content":{"type":"string","nullable":true}},"additionalProperties":false},"CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketConversationChangeResultDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"CommentId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/CommunicationEdit/Ticket/AddConversation":{"post":{"tags":["OpenWowi Communication Edit"],"operationId":"CommunicationEdit_AddTicketConversation","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketAddConversationDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketAddConversationDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketAddConversationDto"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketConversationChangeResultDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketConversationChangeResultDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/CommunicationCenter.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.EditServiceDto.TicketConversationChangeResultDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

## Ticket löschen

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommunicationEdit/Ticket/{ticketId}" method="delete" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/kommunikationsmodul/ticket-bearbeiten.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
